Bug 546868 - Review Request: clac - Command Line Advanced Calculator
Review Request: clac - Command Line Advanced Calculator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-12 07:10 EST by manuel wolfshant
Modified: 2010-03-29 02:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: 004-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 16:41:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2009-12-12 07:10:40 EST
Spec URL: http://wolfy.fedorapeople.org/clac/clac.spec
SRPM URL: http://wolfy.fedorapeople.org/clac/clac-004-1.fc10.src.rpm

Description:
clac (Command Line Advanced Calculator) evaluates mathematical expressions from the argument list or from stdin and writes the answer(s) to stdout. 

In short: a smarter replacement for bc and dc.



Project page: http://clac.sourceforge.net/
The project provides only a single file, a python script, which also includes the license. There are no additional license or documentation files.
Comment 1 Fabian Affolter 2009-12-21 11:57:31 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint clac-004-1.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@localhost noarch]$ rpmlint clac-004-1.fc12.noarch.rpm 
     clac.noarch: W: no-documentation
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv3+
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream file: 9c102f88a4bba4da42a7cd6697973c7f
     Build file:    9c102f88a4bba4da42a7cd6697973c7f
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [-] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [x] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [-] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1884073
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 2 manuel wolfshant 2009-12-21 15:01:29 EST
New Package CVS Request
=======================
Package Name: clac
Short Description: Command Line Advanced Calculator
Owners: wolfy
Branches: F-11 F-12 EL-4 EL-5
Comment 3 Kevin Fenzi 2009-12-21 15:15:58 EST
cvs done.
Comment 4 Fedora Update System 2009-12-21 16:05:04 EST
clac-004-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/clac-004-1.fc11
Comment 5 Fedora Update System 2009-12-21 16:06:36 EST
clac-004-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/clac-004-1.fc12
Comment 6 Fedora Update System 2009-12-22 07:10:36 EST
clac-004-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/clac-004-1.el4
Comment 7 Fedora Update System 2009-12-22 07:10:51 EST
clac-004-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/clac-004-1.el5
Comment 8 Fedora Update System 2009-12-22 16:57:31 EST
clac-004-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-1037
Comment 9 Fedora Update System 2009-12-22 16:58:03 EST
clac-004-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1049
Comment 10 Fedora Update System 2009-12-24 15:36:18 EST
clac-004-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13609
Comment 11 Fedora Update System 2009-12-24 15:46:36 EST
clac-004-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13687
Comment 12 Fedora Update System 2010-01-07 16:41:48 EST
clac-004-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-01-07 16:43:03 EST
clac-004-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-01-12 18:39:17 EST
clac-004-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-01-12 18:47:50 EST
clac-004-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.